TTTT Analysis 0.1

Private Member Functions | List of all members
fv::root::ContainerTH2FMany Class Reference
Inheritance diagram for fv::root::ContainerTH2FMany:
[legend]
Collaboration diagram for fv::root::ContainerTH2FMany:
[legend]

## Private Member Functions
void | _do_fill (std::pair< std::vector< float >, std::vector< float >> &val)

## Additional Inherited Members
Public Member Functions inherited from fv::root::ContainerTH2< std::vector< float >, float >
| ContainerTH2 (const std::string &name, const std::string &title, GenValue *value, int nbins_x, float low_x, float high_x, int nbins_y, float low_y, float high_y)
void | save_as (const std::string &fname, const SaveOption &option=SaveOption::PNG)
Public Member Functions inherited from fv::Container< TH2 >
| Container (const std::string &name, TH2 *container)
virtual TH2 * | get_container ()
Public Member Functions inherited from fv::GenContainer
| GenContainer (const std::string name, const std::string &desc)
| GenContainer (const std::string name)
void | add_filter (GenValue *filter)
void | fill ()
void | set_description (const std::string &description)
const std::string & | get_name ()
virtual void | save (const SaveOption &option=SaveOption::PNG)
Protected Member Functions inherited from fv::root::ContainerTH2< std::vector< float >, float >
virtual void | _do_fill (std::pair< std::vector< float >, std::vector< float > > &val)=0
Protected Attributes inherited from fv::root::ContainerTH2< std::vector< float >, float >
std::string | title
int | nbins_x
int | nbins_y
float | low_x
float | low_y
float | high_x
float | high_y
Value< std::pair< std::vector< float >, std::vector< float > > > * | value
Protected Attributes inherited from fv::Container< TH2 >
TH2 * | container

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval_root/container.hpp